using Sirenix.OdinInspector.Editor;
using UnityEditor;

namespace Stary.Evo.Editor
{


    public class MyMenuEditorWindow : OdinMenuEditorWindow
    {
        [MenuItem("Evo/Utility/优化/一键优化工具")]
        private static void OpenWindow()
        {
            GetWindow<MyMenuEditorWindow>().Show();
        }

        protected override OdinMenuTree BuildMenuTree()
        {
            var tree = new OdinMenuTree();
            tree.Selection.SupportsMultiSelect = false;
            tree.Add("一键批量更改Raycast Target选项", new OneKeyChangeRaycastTarget());
            tree.Add("一键查找重复文件", new OneKeySearchDuplicateFiles());
            return tree;
        }
    }
}